package org.gcube.portal.oidc.lr62;

public class UMATokensProvider {

    public static UMATokensProvider instance = new UMATokensProvider();

    private static final InheritableThreadLocal<String> threadToken = new InheritableThreadLocal<String>() {

        @Override
        protected String initialValue() {
            return null;
        }

    };

    private UMATokensProvider() {
    }

    public String get() {
        return threadToken.get();
    }

    public void set(String jwt) {
        threadToken.set(jwt);
    }

    public void reset() {
        threadToken.remove();
    }
}